> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fieloloyalty.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Sale



## OpenAPI

````yaml /api-reference/Loyalty-App-Open-API-Spec_Swagger.yaml post /Sale/dx/api/application/v2/objects
openapi: 3.0.0
info:
  title: Fielo Loyalty App API Spec
  version: 1.0.0
servers: []
security: []
paths:
  /Sale/dx/api/application/v2/objects:
    post:
      summary: Create Sale
      requestBody:
        content:
          application/json:
            example:
              objectTypeID: SaleCase
              content:
                Origin: API
                ExternalID: 3a55aa921945595279542051
                SaleChannelCode: TT01
                PointOfSaleID: '10'
                SaleItems:
                  - ProductCode: '19529'
                    Quantity: 1
                    TotalAmount: 10
                  - ProductCode: '19527'
                    Quantity: 1
                    TotalAmount: 10
                  - ProductCode: '19856'
                    Quantity: 1
                    TotalAmount: 10
                SaleDateTime: '2025-07-01T10:56:27.066Z'
                MemberExternalID: 99691eb263-3573-4be4-90b5-abe027d7b4ec
                StoreCode: NW-RJ567
      responses:
        '201':
          description: Created
          content:
            application/json:
              example:
                data:
                  objectInfo:
                    status: Pending-Ready To Process
                ID: STE6TG95YWx0eV9fU2FsZUNhc2VfNjg5YmE0OTcxZGQzOTQyZjgxMTUzNzg2
                confirmationNote: The next step has been routed appropriately.

````